<?php
/********************************************************************

   PhPeace - Portal Management System

   Copyright notice
   (C) 2003-2019 Francesco Iannuzzelli <francesco@phpeace.org>
   All rights reserved

   This script is part of PhPeace.
   PhPeace is free software; you can redistribute it and/or modify 
   it under the terms of the GNU General Public License as 
   published by the Free Software Foundation; either version 2 of 
   the License, or (at your option) any later version.

   PhPeace is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   The GNU General Public License (GPL) is available at
   http://www.gnu.org/copyleft/gpl.html.
   A copy can be found in the file COPYING distributed with 
   these scripts.

   This copyright notice MUST APPEAR in all copies of the script!

********************************************************************/

if (!defined('SERVER_ROOT'))
	define('SERVER_ROOT',$_SERVER['DOCUMENT_ROOT']);
include_once(SERVER_ROOT."/include/header.php");
include_once(SERVER_ROOT."/../classes/stats.php");

$trm14 = new Translator($hh->tr->id_language,14);

$stats = new Stats();

if ($_GET['type']=="1")
{
	$title1 = "users_few_conn";
	$id_stat = 23;
	$param = 5;
}
else
{
	$title1 = "users_no_conn";
	$id_stat = 24;
	$param = 60;
}

$title[] = array($trm14->Translate($title1),'');
echo $hh->ShowTitle($title);

echo "<p>" . $trm14->TranslateParams($title1 . "_desc",array($param));
$row = array();
$num = $stats->Stat( $row, $id_stat );
$table_headers = $stats->Headers($id_stat);
$table_content = array('{LinkTitle("/users/user.php?id=$row[id_user]",$row[name])}','<div class=\"right\">$row[counter]&nbsp;</div>');

echo $hh->ShowTable($row, $table_headers, $table_content, $num);

include_once(SERVER_ROOT."/include/footer.php");
?>
