<?php
/********************************************************************

   PhPeace - Portal Management System

   Copyright notice
   (C) 2003-2019 Francesco Iannuzzelli <francesco@phpeace.org>
   All rights reserved

   This script is part of PhPeace.
   PhPeace is free software; you can redistribute it and/or modify 
   it under the terms of the GNU General Public License as 
   published by the Free Software Foundation; either version 2 of 
   the License, or (at your option) any later version.

   PhPeace is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   The GNU General Public License (GPL) is available at
   http://www.gnu.org/copyleft/gpl.html.
   A copy can be found in the file COPYING distributed with 
   these scripts.

   This copyright notice MUST APPEAR in all copies of the script!

********************************************************************/

if (!defined('SERVER_ROOT'))
	define('SERVER_ROOT',$_SERVER['DOCUMENT_ROOT']);
include_once(SERVER_ROOT."/../classes/error.php");
include_once(SERVER_ROOT."/../classes/scheduler.php");
include_once(SERVER_ROOT."/../classes/formhelper.php");
include_once(SERVER_ROOT."/include/header.php");
$ah->SetTimeLimit();
$fh = new FormHelper;
$get = $fh->HttpGet();

$sc = new Scheduler();

$id_scheduler = $get['id'];
$scheduler = $sc->ScheduleGet($id_scheduler);

if ($module_admin)
	$input_right = 1;

$trm14 = new Translator($hh->tr->id_language,14);
$title[] = array($trm14->Translate("schedules"),'schedules.php');
$title[] = array("Scheduler {$scheduler['time']}",'');;
echo $hh->ShowTitle($title);

if($input_right)
{
	$sc->Execute($id_scheduler);
	$sc->pm->fm->PostUpdate();
	echo $sc->pm->MessageGet();
}

include_once(SERVER_ROOT."/include/footer.php");
?>
