<?php
/********************************************************************

   PhPeace - Portal Management System

   Copyright notice
   (C) 2003-2019 Francesco Iannuzzelli <francesco@phpeace.org>
   All rights reserved

   This script is part of PhPeace.
   PhPeace is free software; you can redistribute it and/or modify 
   it under the terms of the GNU General Public License as 
   published by the Free Software Foundation; either version 2 of 
   the License, or (at your option) any later version.

   PhPeace is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   The GNU General Public License (GPL) is available at
   http://www.gnu.org/copyleft/gpl.html.
   A copy can be found in the file COPYING distributed with 
   these scripts.

   This copyright notice MUST APPEAR in all copies of the script!

********************************************************************/

if (!defined('SERVER_ROOT'))
	define('SERVER_ROOT',$_SERVER['DOCUMENT_ROOT']);
include_once(SERVER_ROOT."/include/header.php");
include_once(SERVER_ROOT."/../modules/ali.php");
include_once(SERVER_ROOT."/../classes/geo.php");


$ali = new Ali;

$id_company = $_GET['id'];

if ($id_company>0)
{
	$action2 = "update";
	$row = $ali->CompanyGet($id_company);
	$title[] = array($row[name],'');
}
else
{
	$action2 = "insert";
	$title[] = array('Inserimento','');
}

if ($ah->current_user_id==$row['id_user'] || $module_admin)
	$input_right = 1;

echo $hh->ShowTitle($title);
?>
<script type="text/javascript">
function dosubmit(action2)
{
	f=document.forms['form1'];
	boolOK = true;
	strAlert = "";
	if ((f.name.value==""))
	{
		strAlert = strAlert+"Manca il nome\n";
		boolOK = false;
	}
	if (f.id_province.selectedIndex==0)
	{
		strAlert=strAlert+"Manca la provincia\n";
		boolOK = false;
	}
	if (boolOK==true)
	{
		f.action2.value = action2;
		f.submit();
	}
	else
		alert(strAlert);
}
</script>
<form name="form1" action="actions.php" method="post">
<input type="hidden" name="action2" value="<?=$action2;?>">
<input type="hidden" name="from" value="company">
<input type="hidden" name="id_company" value="<?=$id_company;?>">
<table border=0 cellpadding=0 cellspacing=7>
<?php
echo $hh->input_date("data inserimento","insert_date",$row[insert_date],$input_right);
echo $hh->input_text("nome","name",$row[name],50,0,$input_right);
echo $hh->input_text("settore","sector",$row[sector],30,0,$input_right);
echo $hh->input_textarea("indirizzo","address",$row['address'],60,3,"",$input_right);
echo $hh->input_text("cap","postcode",$row[postcode],10,0,$input_right);
echo $hh->input_text("citta'","town",$row[town],50,0,$input_right);
$geo = new Geo();
echo $hh->input_row("provincia","id_province",$row['id_province'],$geo->Provinces(),"---scegliere---",0,$input_right);
echo $hh->input_text("telefono","phone",$row[phone],30,0,$input_right);
echo $hh->input_textarea("note","notes",$row['notes'],60,5,"",$input_right);
echo "<tr><td>&nbsp;</td><td>";
if ($input_right==1)
	echo "<input type=\"button\" value=\"conferma\" onClick=\"dosubmit('$action2')\">";
echo "</td></tr>\n";
?>
</table>
</form>
<?php
if ($id_company>0)
{
	$num = $ali->CompanyQuestionsP( $row, $id_company );
	if ($num>0)
	{
		$table_headers = array('data','contatto','note');
		$table_content = array('{LinkTitle("company_question.php?id=$row[id_question]&id_c='.$id_company.'",$row[insert_date_f])}','$row[contact]','$row[notes]');
		echo $hh->ShowTable($row, $table_headers, $table_content, $num);
	}
	echo "<p><a href=\"company_question.php?id=0&id_c=$id_company\">Inserisci nuovo questionario</a></p>\n";
}

include_once(SERVER_ROOT."/include/footer.php");
?>
