<?php
/********************************************************************

   PhPeace - Portal Management System

   Copyright notice
   (C) 2003-2019 Francesco Iannuzzelli <francesco@phpeace.org>
   All rights reserved

   This script is part of PhPeace.
   PhPeace is free software; you can redistribute it and/or modify 
   it under the terms of the GNU General Public License as 
   published by the Free Software Foundation; either version 2 of 
   the License, or (at your option) any later version.

   PhPeace is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   The GNU General Public License (GPL) is available at
   http://www.gnu.org/copyleft/gpl.html.
   A copy can be found in the file COPYING distributed with 
   these scripts.

   This copyright notice MUST APPEAR in all copies of the script!

********************************************************************/

if (!defined('SERVER_ROOT'))
	define('SERVER_ROOT',$_SERVER['DOCUMENT_ROOT']);
include_once(SERVER_ROOT."/include/header.php");
include_once(SERVER_ROOT."/../modules/ali.php");
include_once(SERVER_ROOT."/../classes/geo.php");


$ali = new Ali;

$id_person = $_GET['id'];

$row = $ali->PersonGet($id_person);
$title[] = array("$row[name] $row[surname]",'person.php?id='.$id_person);
$title[] = array("Lavoro",'');

if ($module_right)
	$input_right = 1;

echo $hh->ShowTitle($title);
echo "<div style=\"float: right; border: 1px solid #DDDDDD; margin: 5px; padding: 3px; background-color: #EEEEEE;\">ID$row[id_person] - Centro C$row[id_center]</div>\n";
?>
<script type="text/javascript">
function dosubmit()
{
	f=document.forms['form1'];
	f.submit();
}
</script>
<form name="form1" action="actions.php" method="post">
<input type="hidden" name="action2" value="update">
<input type="hidden" name="from" value="person3">
<input type="hidden" name="id_person" value="<?=$id_person;?>">
<table border=0 cellpadding=0 cellspacing=7>
<?php
echo $hh->input_separator("SCHEDA LAVORO di $row[name] $row[surname]");
echo $hh->input_checkbox("occupato","employed",$row[employed],0,$input_right);
echo $hh->input_checkbox("intenzionato a<br>cambiare lavoro","change_job",$row[change_job],0,$input_right);
$combo_values6 = array('1'=>'giorni feriali','2'=>'festivi','3'=>'turni notturni');
echo $hh->input_list("disponibilita' tempo","shifts",$row[shifts],$combo_values6,$input_right);
echo $hh->input_checkbox("disponibilita' lontano da casa","commute",$row[commute],0,$input_right);
$combo_values7 = array('1'=>'auto','2'=>'moto','3'=>'bici');
echo $hh->input_list("mezzo proprio","transport",$row[transport],$combo_values7,$input_right);

echo $hh->input_textarea("competenze","skills",$row[skills],60,3,"",$input_right);
echo $hh->input_textarea("competenze trasversali","tskills",$row[tskills],60,3,"",$input_right);
echo $hh->input_textarea("aspirazioni","aims",$row[aims],60,3,"",$input_right);
echo $hh->input_textarea("note","job_notes",$row[job_notes],60,3,"",$input_right);

$jobs = $ali->PersonJobs($id_person);
if (count($jobs)>0)
{
	$combo_values1 = array('1'=>'italia','2'=>'paese origine','3'=>'altro');
	$combo_values2 = array('1'=>'determinato','2'=>'indeterminato','3'=>'occasionale','4'=>'in nero','5'=>'altro');
	$combo_values3 = array('1'=>'privato','2'=>'cooperativa','3'=>'azienda','4'=>'- (autonomo)');
	$combo_values4 = array('1'=>'parente','2'=>'connazionali','3'=>'annuncio','4'=>'serv.pubblico','5'=>'serv.privato','6'=>'altro');
	$combo_values5 = array('0'=>'-','1'=>'volontario','2'=>'fine contratto','3'=>'esubero','4'=>'licenziamento');
	$combo_values6 = array('1'=>'part-time','2'=>'full-time');
	$jobs_table = "<table border=1 cellspacing=0 cellpadding=2><tr><th>periodo</th><th>descrizione</th><th>luogo</th><th>contratto</th><th>datore</th><th>come trovato</th><th>abbandono</th><th></th></tr>";
	foreach($jobs as $job)
		$jobs_table .= "<tr><td>$job[period]</td><td>$job[description]</td><td>{$combo_values1[$job[country]]}</td><td>{$combo_values2[$job[contract]]}<br/>{$combo_values6[$job[parttime]]}</td><td>{$combo_values3[$job[employer]]}</td><td>{$combo_values4[$job[contact]]}</td><td>{$combo_values5[$job[left_reason]]}</td><td><a href=\"person_job.php?id_p=$id_person&id=$job[id_job]\">modifica</a></td></tr>\n";
	$jobs_table .= "</table>";
}
echo $hh->input_table("lavori svolti","person_job.php?id_p=$id_person&id=0",$input_right,$jobs_table);

echo $hh->input_submit("conferma","dosubmit()",$input_right);
?>
</table>
</form>
<?php
include_once(SERVER_ROOT."/include/footer.php");
?>
