<?php
/********************************************************************

   PhPeace - Portal Management System

   Copyright notice
   (C) 2003-2019 Francesco Iannuzzelli <francesco@phpeace.org>
   All rights reserved

   This script is part of PhPeace.
   PhPeace is free software; you can redistribute it and/or modify 
   it under the terms of the GNU General Public License as 
   published by the Free Software Foundation; either version 2 of 
   the License, or (at your option) any later version.

   PhPeace is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   The GNU General Public License (GPL) is available at
   http://www.gnu.org/copyleft/gpl.html.
   A copy can be found in the file COPYING distributed with 
   these scripts.

   This copyright notice MUST APPEAR in all copies of the script!

********************************************************************/

if (!defined('SERVER_ROOT'))
	define('SERVER_ROOT',$_SERVER['DOCUMENT_ROOT']);
include_once(SERVER_ROOT."/include/header.php");
include_once(SERVER_ROOT."/../modules/ali.php");
include_once(SERVER_ROOT."/../classes/geo.php");


$ali = new Ali;

$id_person = $_GET['id_p'];
$id_job = $_GET['id'];
$row2 = $ali->PersonGet($id_person);

if ($id_job>0)
{
	$action2 = "update";
	$row = $ali->PersonJobGet($id_job);
}
else
	$action2 = "insert";

$title[] = array("$row2[name] $row2[surname]",'person.php?id='.$id_person);
$title[] = array("Lavoro",'person3.php?id='.$id_person);
$title[] = array("Lavori svolti",'');

if ($module_right)
	$input_right = 1;

echo $hh->ShowTitle($title);
?>
<form name="form1" action="actions.php" method="post">
<input type="hidden" name="action2" value="<?=$action2;?>">
<input type="hidden" name="from" value="person_job">
<input type="hidden" name="id_person" value="<?=$id_person;?>">
<input type="hidden" name="id_job" value="<?=$id_job;?>">
<table border=0 cellpadding=0 cellspacing=7>
<?php
echo $hh->input_text("periodo","period",$row[period],30,0,$input_right);
echo $hh->input_textarea("descrizione","description",$row[description],50,3,"",$input_right);

$combo_values1 = array('1'=>'italia','2'=>'paese origine','3'=>'altro');
echo $hh->input_array("luogo","country",$row[country],$combo_values1,$input_right);
$combo_values2 = array('1'=>'determinato','2'=>'indeterminato','3'=>'occasionale','4'=>'in nero','5'=>'altro');
echo $hh->input_array("contratto","contract",$row[contract],$combo_values2,$input_right);
$combo_values3 = array('1'=>'privato','2'=>'cooperativa','3'=>'azienda','4'=>'- (autonomo)');
echo $hh->input_array("datore di lavoro","employer",$row[employer],$combo_values3,$input_right);
$combo_values4 = array('1'=>'parente','2'=>'connazionali','3'=>'annuncio','4'=>'serv.pubblico','5'=>'serv.privato','6'=>'altro');
echo $hh->input_array("come e' stato trovato","contact",$row[contact],$combo_values4,$input_right);
$combo_values5 = array('0'=>'-','1'=>'volontario','2'=>'fine contratto','3'=>'esubero','4'=>'licenziamento');
echo $hh->input_array("motivo abbandono","left_reason",$row[left_reason],$combo_values5,$input_right);
$combo_values6 = array('1'=>'part-time','2'=>'full-time');
echo $hh->input_array("orario","parttime",$row[parttime],$combo_values6,$input_right);
echo $hh->input_textarea("note","job_notes",$row[job_notes],60,3,"",$input_right);

echo $hh->input_submit("conferma","",$input_right);
?>
</table>
</form>
<?php
include_once(SERVER_ROOT."/include/footer.php");
?>
