<?php
/********************************************************************

   PhPeace - Portal Management System

   Copyright notice
   (C) 2003-2019 Francesco Iannuzzelli <francesco@phpeace.org>
   All rights reserved

   This script is part of PhPeace.
   PhPeace is free software; you can redistribute it and/or modify 
   it under the terms of the GNU General Public License as 
   published by the Free Software Foundation; either version 2 of 
   the License, or (at your option) any later version.

   PhPeace is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   The GNU General Public License (GPL) is available at
   http://www.gnu.org/copyleft/gpl.html.
   A copy can be found in the file COPYING distributed with 
   these scripts.

   This copyright notice MUST APPEAR in all copies of the script!

********************************************************************/

if (!defined('SERVER_ROOT'))
	define('SERVER_ROOT',$_SERVER['DOCUMENT_ROOT']);
include_once(SERVER_ROOT."/include/header.php");
include_once(SERVER_ROOT."/../modules/ali.php");
include_once(SERVER_ROOT."/../classes/geo.php");

include_once(SERVER_ROOT."/../classes/users.php");

$uu = new Users;
$ali = new Ali;

$id_person = $_GET['id'];

if ($id_person>0)
{
	$row = $ali->PersonGet($id_person);
	$action2 = "update";
	$title[] = array("$row[name] $row[surname]",'');
	$id_user = $row[id_user];
}
else
{
	$action2 = "insert";
	$title[] = array('Nuovo inserimento','');
	$id_user = $ah->current_user_id;
}

if ($module_right)
	$input_right = 1;

echo $hh->ShowTitle($title);
?>
<script type="text/javascript">
function dosubmit(action2)
{
	f=document.forms['form1'];
	boolOK = true;
	strAlert = "";
	if (f.id_center.selectedIndex==0)
	{
		strAlert = strAlert + "Selezionare il centro\n";
		boolOK = false;
	}
	if ((f.name.value=="") && (f.surname.value==""))
	{
		strAlert = strAlert + "Manca il nome\n";
		boolOK = false;
	}
	if (boolOK==true)
	{
		f.action2.value = action2;
		f.submit();
	}
	else
		alert(strAlert);
}
</script>
<form name="form1" action="actions.php" method="post">
<input type="hidden" name="action2" value="<?=$action2;?>">
<input type="hidden" name="from" value="person1">
<input type="hidden" name="id_person" value="<?=$id_person;?>">
<table border=0 cellpadding=0 cellspacing=7>
<?php
echo $hh->input_row("centro","id_center",$row[id_center],$ali->Centers(),"---scegliere---",0,$input_right);

echo $hh->input_date("data","insert_date",$row[insert_date],$input_right);
echo $hh->input_text("nome","name",$row[name],30,0,$input_right);
echo $hh->input_text("cognome","surname",$row[surname],30,0,$input_right);
echo $hh->input_text("luogo di nascita","birth_place",$row[birth_place],50,0,$input_right);
echo $hh->input_date_text("data di nascita<br>(gg-mm-aaaa)","dob",$row[dob],10,0,$input_right);
echo $hh->input_text("tramite","contact",$row[contact],30,0,$input_right);
echo $hh->input_row("inserito da","id_user",$id_user,$uu->ModuleUsers(20),"",0,$input_right);
echo $hh->input_submit("conferma","dosubmit('$action2')",$input_right);
?>
</table>
</form>
<?php if ($id_person>0) { ?>
<ul>
<li><a href="person2.php?id=<?=$id_person;?>">Scheda Anagrafica</a></li>
<li><a href="person3.php?id=<?=$id_person;?>">Scheda Lavoro</a></li>
<li><a href="person4.php?id=<?=$id_person;?>">Scheda Formazione</a></li>
<li><a href="person5.php?id=<?=$id_person;?>">Scheda Alloggio</a></li>
<li><a href="person6.php?id=<?=$id_person;?>">Varie</a></li>
<li><a href="person7.php?id=<?=$id_person;?>">Scheda Servizio</a></li>
</ul>
<?php
}

include_once(SERVER_ROOT."/include/footer.php");
?>
