<?php
/********************************************************************

   PhPeace - Portal Management System

   Copyright notice
   (C) 2003-2019 Francesco Iannuzzelli <francesco@phpeace.org>
   All rights reserved

   This script is part of PhPeace.
   PhPeace is free software; you can redistribute it and/or modify 
   it under the terms of the GNU General Public License as 
   published by the Free Software Foundation; either version 2 of 
   the License, or (at your option) any later version.

   PhPeace is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   The GNU General Public License (GPL) is available at
   http://www.gnu.org/copyleft/gpl.html.
   A copy can be found in the file COPYING distributed with 
   these scripts.

   This copyright notice MUST APPEAR in all copies of the script!

********************************************************************/

if (!defined('SERVER_ROOT'))
	define('SERVER_ROOT',$_SERVER['DOCUMENT_ROOT']);
include_once(SERVER_ROOT."/include/header.php");
include_once(SERVER_ROOT."/../modules/ali.php");
include_once(SERVER_ROOT."/../classes/geo.php");


$ali = new Ali;

$id_person = $_GET['id'];

$row = $ali->PersonGet($id_person);
$title[] = array("$row[name] $row[surname]",'person.php?id='.$id_person);
$title[] = array("Scheda servizio",'');

if ($module_right)
	$input_right = 1;

echo $hh->ShowTitle($title);
echo "<div style=\"float: right; border: 1px solid #DDDDDD; margin: 5px; padding: 3px; background-color: #EEEEEE;\">ID$row[id_person] - Centro C$row[id_center]</div>\n";
?>
<script type="text/javascript">
function dosubmit()
{
	f=document.forms['form1'];
	f.submit();
}
</script>
<form name="form1" action="actions.php" method="post">
<input type="hidden" name="action2" value="update">
<input type="hidden" name="from" value="person7">
<input type="hidden" name="id_person" value="<?=$id_person;?>">
<table border=0 cellpadding=0 cellspacing=7>
<?php
echo $hh->input_separator("Scheda Servizio");

$services = $ali->PersonServices($id_person);
if (count($services)>0)
{
	$combo_values6 = array('1'=>'positivo','2'=>'negativo','3'=>'non noto');
	$services_table = "<table border=1 cellspacing=0 cellpadding=2><tr><th>data</th><th>risultato</th><th></th></tr>";
	foreach($services as $service)
		$services_table .= "<tr><td>$service[insert_date_f]</td><td>{$combo_values6[$service[result]]}</td><td><a href=\"person_service.php?id_p=$id_person&id=$service[id_service]\">modifica</a></td></tr>\n";
	$services_table .= "</table>";
}
echo $hh->input_table("servizi offerti","person_service.php?id_p=$id_person&id=0",$input_right,$services_table);

?>
</table>
</form>
<?php
include_once(SERVER_ROOT."/include/footer.php");
?>
