<?php
/********************************************************************

   PhPeace - Portal Management System

   Copyright notice
   (C) 2003-2019 Francesco Iannuzzelli <francesco@phpeace.org>
   All rights reserved

   This script is part of PhPeace.
   PhPeace is free software; you can redistribute it and/or modify 
   it under the terms of the GNU General Public License as 
   published by the Free Software Foundation; either version 2 of 
   the License, or (at your option) any later version.

   PhPeace is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   The GNU General Public License (GPL) is available at
   http://www.gnu.org/copyleft/gpl.html.
   A copy can be found in the file COPYING distributed with 
   these scripts.

   This copyright notice MUST APPEAR in all copies of the script!

********************************************************************/

if (!defined('SERVER_ROOT'))
	define('SERVER_ROOT',$_SERVER['DOCUMENT_ROOT']);
include_once(SERVER_ROOT."/include/header.php");
include_once(SERVER_ROOT."/../modules/ali.php");
include_once(SERVER_ROOT."/../classes/geo.php");


$ali = new Ali;

$id_person = $_GET['id_p'];
$id_edu = $_GET['id'];
$row2 = $ali->PersonGet($id_person);

if ($id_edu>0)
{
	$action2 = "update";
	$row = $ali->PersonEduGet($id_edu);
}
else
	$action2 = "insert";

$title[] = array("$row2[name] $row2[surname]",'person.php?id='.$id_person);
$title[] = array("Formazione",'person4.php?id='.$id_person);
$title[] = array("Esperienze formative",'');

if ($module_right)
	$input_right = 1;

echo $hh->ShowTitle($title);
?>
<form name="form1" action="actions.php" method="post">
<input type="hidden" name="action2" value="<?=$action2;?>">
<input type="hidden" name="from" value="person_edu">
<input type="hidden" name="id_person" value="<?=$id_person;?>">
<input type="hidden" name="id_edu" value="<?=$id_edu;?>">
<table border=0 cellpadding=0 cellspacing=7>
<?php
echo $hh->input_textarea("descrizione","description",$row[description],50,3,"",$input_right);
echo $hh->input_text("paese","country",$row[country],30,0,$input_right);
echo $hh->input_text("durata (mesi)","length",$row[length],20,0,$input_right);
echo $hh->input_checkbox("completata","completed",$row[completed],0,$input_right);

echo $hh->input_submit("conferma","",$input_right);
?>
</table>
</form>
<?php
include_once(SERVER_ROOT."/include/footer.php");
?>
