<?php
/********************************************************************

   PhPeace - Portal Management System

   Copyright notice
   (C) 2003-2019 Francesco Iannuzzelli <francesco@phpeace.org>
   All rights reserved

   This script is part of PhPeace.
   PhPeace is free software; you can redistribute it and/or modify 
   it under the terms of the GNU General Public License as 
   published by the Free Software Foundation; either version 2 of 
   the License, or (at your option) any later version.

   PhPeace is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   The GNU General Public License (GPL) is available at
   http://www.gnu.org/copyleft/gpl.html.
   A copy can be found in the file COPYING distributed with 
   these scripts.

   This copyright notice MUST APPEAR in all copies of the script!

********************************************************************/

if (!defined('SERVER_ROOT'))
	define('SERVER_ROOT',$_SERVER['DOCUMENT_ROOT']);
include_once(SERVER_ROOT."/include/header.php");
include_once(SERVER_ROOT."/../modules/ali.php");
include_once(SERVER_ROOT."/../classes/geo.php");


$ali = new Ali;

$id_person = $_GET['id_p'];
$id_relative = $_GET['id'];
$row2 = $ali->PersonGet($id_person);

if ($id_relative>0)
{
	$action2 = "update";
	$row = $ali->PersonRelativeGet($id_relative);
}
else
	$action2 = "insert";

$title[] = array("$row2[name] $row2[surname]",'person.php?id='.$id_person);
$title[] = array("Anagrafica",'person2.php?id='.$id_person);
$title[] = array("Parenti",'');

if ($module_right)
	$input_right = 1;

echo $hh->ShowTitle($title);
?>
<form name="form1" action="actions.php" method="post">
<input type="hidden" name="action2" value="<?=$action2;?>">
<input type="hidden" name="from" value="person_relative">
<input type="hidden" name="id_person_rel" value="<?=$id_person;?>">
<input type="hidden" name="id_relative" value="<?=$id_relative;?>">
<table border=0 cellpadding=0 cellspacing=7>
<?php
$combo_values = array('coniuge'=>'coniuge','figlio/a'=>'figlio/a');
echo $hh->input_array("rel.","relation",$row[relation],$combo_values,$input_right);
$combo_values2 = array('M'=>'M','F'=>'F');
echo $hh->input_array("sesso","gender",$row[gender],$combo_values2,$input_right);
echo $hh->input_text("anno di nascita","yearborn",$row[yearborn],4,0,$input_right);
echo $hh->input_text("dove vive","country",$row[country],20,0,$input_right);
echo $hh->input_text("titolo di studio","study",$row[study],30,0,$input_right);
echo $hh->input_text("attivita'","job",$row[job],30,0,$input_right);
echo $hh->input_text("id","id_person",$row[id_person],10,0,$input_right);
echo $hh->input_submit("conferma","",$input_right);
?>
</table>
</form>
<?php
include_once(SERVER_ROOT."/include/footer.php");
?>
