<?php
/********************************************************************

   PhPeace - Portal Management System

   Copyright notice
   (C) 2003-2019 Francesco Iannuzzelli <francesco@phpeace.org>
   All rights reserved

   This script is part of PhPeace.
   PhPeace is free software; you can redistribute it and/or modify 
   it under the terms of the GNU General Public License as 
   published by the Free Software Foundation; either version 2 of 
   the License, or (at your option) any later version.

   PhPeace is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   The GNU General Public License (GPL) is available at
   http://www.gnu.org/copyleft/gpl.html.
   A copy can be found in the file COPYING distributed with 
   these scripts.

   This copyright notice MUST APPEAR in all copies of the script!

********************************************************************/

if (!defined('SERVER_ROOT'))
	define('SERVER_ROOT',$_SERVER['DOCUMENT_ROOT']);
include_once(SERVER_ROOT."/include/header.php");
include_once(SERVER_ROOT."/../modules/ali.php");

$ali = new Ali;

$id_center = $_GET['id_center'];
$name = $get['name'];

$title[] = array('Ricerca Utenti','search.php');
echo $hh->ShowTitle($title);

$params = array(	'name' => $get['name'],
					'id_center' => $get['id_center']	);

$num = $ali->Search($row,$params);

$table_headers = array('data','nome','centro','nazionalita\'','scheda'); //'
$table_content = array('$row[insert_date_f]','{LinkTitle("person.php?id=$row[id_person]","$row[name] $row[surname]")}',
'$row[center_name]','$row[country]','<a href=\"person2.php?id=$row[id_person]\">Anagr.</a> /
<a href=\"person3.php?id=$row[id_person]\">Lavoro</a> /
<a href=\"person4.php?id=$row[id_person]\">Formaz.</a> /
<a href=\"person5.php?id=$row[id_person]\">Casa</a>');

echo $hh->ShowTable($row, $table_headers, $table_content, $num);

include_once(SERVER_ROOT."/include/footer.php");
?>
