<?php
/********************************************************************

   PhPeace - Portal Management System

   Copyright notice
   (C) 2003-2019 Francesco Iannuzzelli <francesco@phpeace.org>
   All rights reserved

   This script is part of PhPeace.
   PhPeace is free software; you can redistribute it and/or modify 
   it under the terms of the GNU General Public License as 
   published by the Free Software Foundation; either version 2 of 
   the License, or (at your option) any later version.

   PhPeace is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   The GNU General Public License (GPL) is available at
   http://www.gnu.org/copyleft/gpl.html.
   A copy can be found in the file COPYING distributed with 
   these scripts.

   This copyright notice MUST APPEAR in all copies of the script!

********************************************************************/

if (!defined('SERVER_ROOT'))
	define('SERVER_ROOT',$_SERVER['DOCUMENT_ROOT']);

include_once(SERVER_ROOT."/../classes/cron.php");

$cr = new Cron();

if($cr->IPCheck())
{
	$debug = (int)$_GET['d'];
	$cr->Run(time(),$debug==1);
}
else
{
	include_once(SERVER_ROOT."/../classes/varia.php");
	$ip = Varia::IP();
	include_once(SERVER_ROOT."/../classes/log.php");
	$log = new Log();
	$message = "Scheduler violation: IP $ip tried to execute the scheduler, while only IP {$cr->ip_allow} is allowed to";
	$log->Write("error",$message);
	include_once(SERVER_ROOT."/../classes/services.php");
	$se = new Services();
	$se->ServiceStatusUpdate("scheduler",0,$message);
	exit;
}

?>
